<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_b73e798a041f8fcca58bc46a" . "fd24552c" => base64_decode("aWNvbl9" . "lZGl0"), "_b66252d7bb" . "f361012a653" . "1a8e3a73230" => base64_decode("YXJyYXlfZGlm" . "Zg=="), "_047cc9462af" . "7309dcf20458" . "6ff650a9d" => base64_decode("X3RyZWVwYWdpbm" . "c="), "_aa7e860da1acd4e767e0df9" . "d7d407380" => base64_decode("ZGF0ZV9jcmVhdGV" . "k"), "_a591754" . "a8ddcdbd" . "a9c80f1d" . "b4d911e1" . "4" => base64_decode("aXNf" . "bnVs" . "bA=="), "_cfe3120f54395b670652" . "b38c2d0a8e88" => base64_decode("c3Vi" . "c3Ry"), "_bd71c3b5c201fc11db82ed14ce4" . "24de5" => base64_decode("aW5fYXJyY" . "Xk="), "_6f38e6660ae5bf0084b669666588589" . "c" => base64_decode("bWV0YV8" . "="), "_37d6fcac1e4ca36" . "0eb11bb40c4897ae" . "a" => base64_decode("U0VTU" . "0lPTl" . "8="), "_25867e3e3db28969253f3a370c31" . "66ba" => base64_decode("ZGVzYw=" . "="));





class ImageListViewController extends ClaTreeViewController
{
    protected $columns_to_show;
    protected $album_id;
    
    
    
    
    
    public function __construct()
    {
        parent::__construct();
        $this->SetPagingParams(true, 15, 0);
        $this->sort_column = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_aa7e860da1acd4e767e0df" . "9d7d407380"];
        $this->sort_direction = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_25867e3e3db28969253f3" . "a370c3166ba"];
        $this->metadata = array();
        
        
        $this->columns_to_show = null;
        $this->album_id = 0;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function SetPagingParams($use_paging, $page_size = 20, $page_offset = 0, $max_items_wo_paging = null, $max_items_to_process = 1000)
    {
        parent::SetPagingParams($use_paging, $page_size, $page_offset, $max_items_wo_paging, $max_items_to_process);
        $this->max_items_wo_paging = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a591754a8ddcdbda9c80f1db4d9" . "11e14"]($max_items_wo_paging) ? $page_size : $max_items_wo_paging;
        return true;
    }
    protected function _BranchOpenCloseAll($id, $status)
    {
    }
    public static function DoTreeGPCOperations($controller, $session_prefix, $album_id = null)
    {
        
        
        $_f2d45f565f12276f8d871b3e215d01eb = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_37d6fcac1e4ca360eb11bb40c48" . "97aea"] . $session_prefix . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_047cc9462af7309dcf204586ff650" . "a9d"];
        $_SESSION[$_f2d45f565f12276f8d871b3e215d01eb] = array();
        $controller->album_id = $album_id;
        ClaTreeViewController::DoTreeGPCOperations($controller, $session_prefix, $album_id);
        if ($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a591754" . "a8ddcdbd" . "a9c80f1d" . "b4d911e1" . "4"]($controller->columns_to_show)) {
            $_0bc7588938bfc7dc40d438d105dcdf1c = new ImageAlbum($controller->album_id);
            $controller->columns_to_show = $_0bc7588938bfc7dc40d438d105dcdf1c->GetListColumns();
            $controller->metadata = array();
            foreach ($controller->columns_to_show as $_39ee6ebc906f3b410a43566f3d34d868) {
                if ($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_cfe3120f54395b67065" . "2b38c2d0a8e88"]($_39ee6ebc906f3b410a43566f3d34d868, 0, 5) == $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_6f38e6660a" . "e5bf0084b66" . "9666588589c"]) {
                    $controller->metadata[] = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_cfe3120f5" . "4395b67065" . "2b38c2d0a8" . "e88"]($_39ee6ebc906f3b410a43566f3d34d868, 5);
                }
            }
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_bd71c3b5" . "c201fc11d" . "b82ed14ce" . "424de5"]($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_b73e798a041f8fcca58bc46afd2455" . "2c"], $controller->columns_to_show)) {
                if (!$controller->IsAdminMode() && !$_0bc7588938bfc7dc40d438d105dcdf1c->UserHasPermission(PERM_EDIT_META)) {
                    $controller->columns_to_show = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_b66252d7bbf361012a6531a8" . "e3a73230"]($controller->columns_to_show, array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_b73e798a0" . "41f8fcca58" . "bc46afd245" . "52c"]));
                }
            }
        }
    }
    
    
    
    
    
    
    public function GetColumnsListToShow()
    {
        
        
        $_189840d11056515e52402d1412a0b6e4 = $this->columns_to_show;
        
        
        
        
        
        return $_189840d11056515e52402d1412a0b6e4;
    }
}